#include <bits/stdc++.h>
#define int long long
#define endl '\n'
using namespace std;
int pre[200005];
void solve()
{
    int q;
    string s;
    cin>>s>>q;
    for(int i=1;i<s.size();i++)
    {
        pre[i]=pre[i-1]+(s[i]<s[i-1]);
    }
    while(q--)
    {
        int l,r;
        cin>>l>>r;
        l--,r--;
        cout<<pre[r]-pre[l]+1<<endl;
    }
}
int32_t main()
{
    ios_base::sync_with_stdio(false);
    cout.tie(nullptr);cin.tie(nullptr);
    solve();
}
